'use strict';

/**
* Copyright (c) 2017 Copyright tj All Rights Reserved.
* Author: lipengxiang
* Date: 2018-08-16 18:06
* Desc: 
*/

var smoothscroll = require('smoothscroll-polyfill');


export default {
  install(Vue, options) {
    Vue.mixin({
      mounted: function () {
        if (!window['febsvue-5634GH-5434H-1FD4#']) {
          // store.
          if (global) {
            global.$store = this.$store;
            global.$router = this.$router;
          } else {
            window.$store = this.$store;
            window.$router = this.$router;
          }

          // kick off the polyfill!
          if (!(!!window.navigator.userAgent.toLowerCase().match(/chrome/)) && !window.$srcScrollTo) {
            window.$srcScrollTo = window.scrollTo;
            smoothscroll.polyfill();
          }
  
          window['febsvue-5634GH-5434H-1FD4#'] = true;
        }
      }
    });
  }
}
